package com.ffii.fpsms.modules.common.mail.entity

import com.ffii.core.support.AbstractRepository
import org.springframework.stereotype.Repository
import java.io.Serializable

@Repository
interface MailTemplateRepository : AbstractRepository<MailTemplate, Long> {
    fun findAllByDeletedIsFalse(): List<MailTemplate>

    fun findByIdAndDeletedIsFalse(id: Serializable): MailTemplate?

    fun findByCodeAndDeletedIsFalse(code: String): MailTemplate?
}